import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Carrito } from '../carrito.entity';
import { Modulo } from '../../../modulo/entity/modulo.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('c.id_carrito', 'id_carrito')
      .addSelect('c.carrito', 'carrito')
      .addSelect('c.id_modulo', 'id_modulo')
      .addSelect('c.id_tipo_carrito', 'id_tipo_carrito')
      .addSelect('m.id_institucion', 'id_institucion')
      .from(Carrito, 'c')
      .innerJoin(Modulo, 'm', 'm.id_modulo = c.id_modulo'),
})
export class InformacionCarritoView {
  @ViewColumn()
  id_carrito: number;

  @ViewColumn()
  carrito: string;

  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  id_modulo: number;

  @ViewColumn()
  id_tipo_carrito: number;
}
