import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EquipoMotivoController } from './equipo-motivo.controller';
import { EquipoMotivoService } from './equipo-motivo.service';
import { EquipoMotivo } from './entity/equipo-motivo.entity';
import { EquipoModule } from '../equipo/equipo.module';
import { OperadorModule } from '../operador/operador.module';
import { StatusModule } from '../status/status.module';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    forwardRef(() => EquipoModule),
    OperadorModule,
    StatusModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([EquipoMotivo]),
    ValidarUsuarioModule,
  ],
  controllers: [EquipoMotivoController],
  providers: [EquipoMotivoService],
  exports: [EquipoMotivoService],
})
export class EquipoMotivoModule {}
