import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HoraExcepcionController } from './hora-excepcion.controller';
import { HoraExcepcionService } from './hora-excepcion.service';
import { HoraExcepcion } from './entity/hora-excepcion.entity';
import { InstitucionDiaModule } from '../institucion-dia/institucion-dia.module';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    InstitucionDiaModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([HoraExcepcion]),
    ValidarUsuarioModule,
  ],
  controllers: [HoraExcepcionController],
  providers: [HoraExcepcionService],
  exports: [HoraExcepcionService],
})
export class HoraExcepcionModule {}
