import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { InstitucionCarrera } from './institucion-carrera.entity';
import { Nivel } from './nivel.entity';

@Entity()
export class Carrera {
  @PrimaryGeneratedColumn()
  id_carrera: number;

  @Column({ type: String, nullable: false, length: 150 })
  carrera: string;

  @Column({ type: String, nullable: false, length: 10 })
  clave: string;

  @Column({ type: Number, nullable: true })
  id_nivel: number;

  @ManyToOne(() => Nivel, (nivel) => nivel.carreras)
  @JoinColumn({ name: 'id_nivel' })
  nivel: Nivel;

  @OneToMany(
    () => InstitucionCarrera,
    (institucionCarrera) => institucionCarrera.carrera,
  )
  instituciones: InstitucionCarrera[];
}
